org.apache.cassandra.io.util

## Class DataOutputStreamAndChannel

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.AbstractDataOutput
    - - org.apache.cassandra.io.util.DataOutputStreamPlus
      - - org.apache.cassandra.io.util.DataOutputStreamAndChannel

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.lang.AutoCloseable, DataOutputPlus

    public class DataOutputStreamAndChannel
    extends DataOutputStreamPlus

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.DataOutputStreamPlus

`out`

### Constructor Summary

Constructors
Constructor and Description
`DataOutputStreamAndChannel(java.io.FileOutputStream fos)`
`DataOutputStreamAndChannel(java.io.OutputStream os, java.nio.channels.WritableByteChannel channel)`
`DataOutputStreamAndChannel(java.nio.channels.WritableByteChannel channel)`

### Method Summary

Methods
`java.nio.channels.WritableByteChannel` `getChannel()`
`void` `write(java.nio.ByteBuffer buffer)`

### Methods inherited from class org.apache.cassandra.io.util.DataOutputStreamPlus

`close, flush, write, write`

### Methods inherited from class org.apache.cassandra.io.util.AbstractDataOutput

`write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.util.DataOutputPlus

`write`

### Methods inherited from interface java.io.DataOutput

`write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Constructor Detail

#### DataOutputStreamAndChannel

    public DataOutputStreamAndChannel(java.io.OutputStream os,
                              java.nio.channels.WritableByteChannel channel)

#### DataOutputStreamAndChannel

    public DataOutputStreamAndChannel(java.nio.channels.WritableByteChannel channel)

#### DataOutputStreamAndChannel

    public DataOutputStreamAndChannel(java.io.FileOutputStream fos)

### Method Detail

#### write

    public void write(java.nio.ByteBuffer buffer)
               throws java.io.IOException

Specified by:
  `write` in interface `DataOutputPlus`
Overrides:
  `write` in class `AbstractDataOutput`
Throws:
  `java.io.IOException`

#### getChannel

    public java.nio.channels.WritableByteChannel getChannel()